Bug 1511023 (CVE-2017-15101) - CVE-2017-15101 liblouis: incomplete fix for CVE-2014-8184
Summary: CVE-2017-15101 liblouis: incomplete fix for CVE-2014-8184
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15101
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1511027 1511028
Blocks: 1488949
TreeView+ depends on / blocked
 
Reported: 2017-11-08 14:50 UTC by Raphael Sanchez Prudencio
Modified: 2019-09-29 14:25 UTC (History)
2 users (show)

Fixed In Version: liblouis 2.5.4
Doc Type: If docs needed, set a value
Doc Text:
A missing fix for one stack-based buffer overflow in findTable() for CVE-2014-8184 was discovered. An attacker could cause denial of service or potentially allow arbitrary code execution.
Clone Of:
Environment:
Last Closed: 2017-12-06 13:04:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3384 normal SHIPPED_LIVE Moderate: liblouis security update 2017-12-05 19:21:08 UTC

Description Raphael Sanchez Prudencio 2017-11-08 14:50:33 UTC
Incomplete fix of CVE-2014-8184: one possible stack-based buffer overflow missed in CVE-2014-8184 fix.

Comment 1 Raphael Sanchez Prudencio 2017-11-08 14:52:19 UTC
Acknowledgments:

Name: Samuel Thibault

Comment 3 Raphael Sanchez Prudencio 2017-11-08 15:12:04 UTC
Proposed patch by Samuel Thibault: https://github.com/liblouis/liblouis/files/1439794/CVE-2014-8184-fix.txt

Comment 4 errata-xmlrpc 2017-12-05 14:21:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:3384 https://access.redhat.com/errata/RHSA-2017:3384


Note You need to log in before you can comment on or make changes to this bug.